# PSF-LoginServer - master - net.psforever.objects.ballistics.PlayerSource
PSF - LoginServer - master - net.psforever.objects.ballistics.PlayerSource
Keywords: PSF LoginServer master net.psforever.objects.ballistics.PlayerSource

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package ballistics
  Definition Classes
    objects
- AggravatedDamage
- AggravatedInfo
- AggravatedTiming
- ChargeDamage
- DeployableSource
- NonvitalDefinition
- ObjectSource
- PlayerSource
- Projectile
- ProjectileQuality
- Projectiles
- SameAsQuality
- SourceEntry
- VehicleSource

c

net.psforever.objects.ballistics

# PlayerSource 

###
Companion object PlayerSource

#### final case class PlayerSource(name: String, char_id: Long, obj_def: AvatarDefinition, faction: types.PlanetSideEmpire.Value, exosuit: types.ExoSuitType.Value, seated: Boolean, health: Int, armor: Int, position: Vector3, orientation: Vector3, velocity: Option[Vector3], crouching: Boolean, jumping: Boolean, modifiers: ResistanceProfile) extends SourceEntry with Product with Serializable

Source
  PlayerSource.scala

Linear Supertypes
Serializable, Product, Equals, SourceEntry, WorldEntity, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayerSource
2. Serializable
3. Product
4. Equals
5. SourceEntry
6. WorldEntity
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new PlayerSource(name: String, char_id: Long, obj_def: AvatarDefinition, faction: types.PlanetSideEmpire.Value, exosuit: types.ExoSuitType.Value, seated: Boolean, health: Int, armor: Int, position: Vector3, orientation: Vector3, velocity: Option[Vector3], crouching: Boolean, jumping: Boolean, modifiers: ResistanceProfile)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Armor: Int
5.  def CharId: Long
   Definition Classes
     PlayerSource → SourceEntry
6.  def Definition: AvatarDefinition
   Definition Classes
     PlayerSource → SourceEntry
7.  def ExoSuit: types.ExoSuitType.Value
8.  def Faction: types.PlanetSideEmpire.Value
   Definition Classes
     PlayerSource → SourceEntry
9.  def Health: Int
10.  def Modifiers: ResistanceProfile
    Definition Classes
      PlayerSource → SourceEntry
11.  def Name: String
    Definition Classes
      PlayerSource → SourceEntry
12.  def Orientation: Vector3
    Definition Classes
      PlayerSource → WorldEntity
13.  def Orientation_=(pos: Vector3): Vector3
    Definition Classes
      SourceEntry → WorldEntity
14.  def Position: Vector3
    Definition Classes
      PlayerSource → WorldEntity
15.  def Position_=(pos: Vector3): Vector3
    Definition Classes
      SourceEntry → WorldEntity
16.  def Seated: Boolean
17.  def Velocity: Option[Vector3]
    Definition Classes
      PlayerSource → WorldEntity
18.  def Velocity_=(pos: Option[Vector3]): Option[Vector3]
    Definition Classes
      SourceEntry → WorldEntity
19.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
20.  val armor: Int
21.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
22.  val char_id: Long
23.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
24.  val crouching: Boolean
25.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  val exosuit: types.ExoSuitType.Value
27.  val faction: types.PlanetSideEmpire.Value
28.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
29.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
30.  val health: Int
31.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
32.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
33.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
34.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
35.  val jumping: Boolean
36.  val modifiers: ResistanceProfile
37.  val name: String
38.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
39.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
40.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
41.  val obj_def: AvatarDefinition
42.  val orientation: Vector3
43.  val position: Vector3
44.  def productElementNames: Iterator[String]
    Definition Classes
      Product
45.  val seated: Boolean
46.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
47.  val velocity: Option[Vector3]
48.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
49.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
50.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SourceEntry

### Inherited from WorldEntity

### Inherited from AnyRef

### Inherited from Any

### Ungrouped